Subject: bug#54399: 27.2; Problems with (let ((custom-variable ...)) (autoload-function ...))

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 May 2022 12:40:29 +0300

> From: Ignacio Casso <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Thu, 12 May 2022 10:41:56 +0200
> 
> The few non-documentation changes are just using the toplevel versions
> of those functions in some places that were still missing, in functions
> and places completely equivalent to those that are already using
> them. This makes the use of those functions more consistent across
> custom.el, and fixes in those new places the potential bug that those
> functions were introduced to solve in the first place: calling
> `defcustom' or customize functions inside a let-binding of the variable
> in question (e.g., because a function inside the let body autoloads,
> calling `defcustom')

If those changes are fine with Stefan and Lars, I don't mind.